Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596177 - RFE : please allow bugs to depend on googlecode and sourceforge bug tracker
RFE : please allow bugs to depend on googlecode and sourceforge bug tracker
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Dependency Views (Show other bugs)
3.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 08:14 EDT by Hicham HAOUARI
Modified: 2013-06-23 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 06:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2010-05-26 08:14:52 EDT
Currently rhbz supports depending on external bug trackers, except sourceforge and googlecode, which hosts a lot of projects packaged in fedora.
Comment 1 David Lawrence 2010-05-26 17:48:45 EDT
Noura, can you take a look at this please?

Dave
Comment 2 Noura El hawary 2010-05-27 07:07:26 EDT
Sure Dave.. 

Hicham,
can you please provide the urls for those 2 bug trackers, so we can add them to bugzilla's external bugzilla references.

Thanks,
Noura
Comment 3 Hicham HAOUARI 2010-05-27 16:04:15 EDT
Sourceforge and Googlecode both uses trackers per project, so i think the current way of handling externals bug trackers won't work for these.

googlecode :
http://code.google.com/p/<project_name>/issues/detail?id=<bugid>

sourceforge :
http://sourceforge.net/tracker/index.php?func=detail&aid=<artifact_id>&group_id=<project_id>&atid=<i_cant_figure_out_this>
Comment 4 David Lawrence 2010-05-27 16:11:18 EDT
(In reply to comment #3)
> Sourceforge and Googlecode both uses trackers per project, so i think the
> current way of handling externals bug trackers won't work for these.
> 
> googlecode :
> http://code.google.com/p/<project_name>/issues/detail?id=<bugid>
> 
> sourceforge :
> http://sourceforge.net/tracker/index.php?func=detail&aid=<artifact_id>&group_id=<project_id>&atid=<i_cant_figure_out_this>    

Unfortunately our current implementation requires some distinct identifier that will take you directly to a bug report similar to Bugzilla's integer id. If multiple id's are required to get to a single bug report we cannot do that.

If you only foresee one Google/Sourceforge bug report per Bugzilla report then you can just use the standard URL field for now. Otherwise if more than one than just enter them in the bug comments.

Dave
Comment 5 Hicham HAOUARI 2010-05-28 06:59:18 EDT
Thanks Dave, Noura.

Note You need to log in before you can comment on or make changes to this bug.